[ANNOUNCE] VDR Version 2.6.2 freigegeben

  • Das mit dem index sieht jetzt gut aus.


    vdr-User-# 755 to_h264 chk_r vdr-transcode github

  • Danke auch an Seahawk für die 2.6.2-1 :)

  • Compiliert, danke

    jsffm: Wie genau sieht Dein Code für das remote-Plugin in remote.c aus?


    Code
    #ifdef REMOTE_FEATURE_LIRC
                case 'l':
                    cLircRemote::NewLircRemote(devnam[i]); // use vdr's lirc code
                    break;
    #endif

    funktioniert nicht:

    Code
    remote.c:799:30: error: 'NewLircRemote' is not a member of 'cLircRemote'
      799 |                 cLircRemote::NewLircRemote(devnam[i]); // use vdr's lirc code
          |                              ^~~~~~~~~~~~~

    ACT-620, Asrock B75 Pro3-M, Intel Core i3-3240, 4 GB DDR3 RAM 1600 MHz, passive Geforce GT1030 von MSI, Sandisk 2TB SSD, 2xWinTV DualHD, Atric-IR-Einschalter. SW: Xubuntu 20.04 auf 64GB Sandisk SSD.

  • Mein Patch sieht aber genauso aus. Bist du sicher, daß die Header von 2.6.2 verwendet werden?




  • vdr-User-# 755 to_h264 chk_r vdr-transcode github

  • Es hat dann plötzlich doch kompiliert, als ich im vdr-Hauptordner ein make ausgeführt habe. Eigentlich sollte es auch direkt im Pluginordner gehen.

    ACT-620, Asrock B75 Pro3-M, Intel Core i3-3240, 4 GB DDR3 RAM 1600 MHz, passive Geforce GT1030 von MSI, Sandisk 2TB SSD, 2xWinTV DualHD, Atric-IR-Einschalter. SW: Xubuntu 20.04 auf 64GB Sandisk SSD.

  • Ich habe in https://launchpad.net/~seahawk…+archive/ubuntu/vdr-2.6.2 schon Pakete für Ubuntu 20.04 bauen lassen, die für 22.04 kommen noch (erst mal nur für x64) - neu sind auch der aktualisierte permashift-Patch und eine neue Version des permashift-Plugins.


    Ergänzung: Die Pakete für Ubuntu 22.04 im selben PPA sind mittlerweile auch fertig.

    Ich würde mir mal wieder eine "vdr-2.6.2-patches" Version wünschen - das wäre toll...! :applaus

  • Welche Patches fehlen dir?

    yaVDR-Dokumentation (Ceterum censeo enchiridia esse lectitanda.)

  • Ich habe in https://launchpad.net/~seahawk…+archive/ubuntu/vdr-2.6.2 schon Pakete für Ubuntu 20.04 bauen lassen, die für 22.04 kommen noch (erst mal nur für x64) - neu sind auch der aktualisierte permashift-Patch und eine neue Version des permashift-Plugins.


    Ergänzung: Die Pakete für Ubuntu 22.04 im selben PPA sind mittlerweile auch fertig.

    Für einen "Schwenk" zu Deinem ppa (jammy), fehlt mir noch vdr-plugin-softhdcuvid und vdr-plugin-markad-ng.

  • Und menuselections 😀

    CKone: yavdr-ansible/18.04 LTS/2.4.1/kodi18 auf Intel DH67BL, Intel Celeron G540, 2x 2GB Kingston DDR3, Zotac GT630 1GB, S2-1600, Ocz Agility 3 60GB, LG GH24NS DVD, 15.6" Selbstbau TFT, Harmony 665, CIR Selbstbau - das Ganze im Silverstone SST-SG03B
    CKtwo: yavdr-ansible/18.04 LTS/2.4.1/kodi18 auf Intel DH67BL, Intel Celeron G1610, 2x 2GB Corsair DDR3, Zotac GT630 1GB, TT S2-1600, Ocz Vertex 2 50 GB, 92 Kanal Seduatmo, Harmony 665, atric USB
    CKthree: yavdr-ansible/22.04 LTS/2.6.1/kodi19.3 auf Intel NUC, Celeron J4005, UHD Graphics 600, 4GB Crucial DDR4, Ocz Vertex2 50 GB, Harmony 350

    PowerEdge: Ubuntu Server 16.04 LTS / VDR 2.4.1 auf Dell PowerEdge T20, Xeon E3-1225 v3, 16GB ECC DDR3, 2x Cine S2 V6 mit Duoflex, Samsung 840 EVO 120GB, 3x WD White WD80EZAZ 8TB in SW Raid5



  • Mit ist ein Problem aufgefallen: Ich bekomme mit 2.6.2 Hänger an beiden VDRs, ungefähr zeitgleich.


    VDR1

    Code
    Dec  4 01:15:38 VDR-2204 vdr: [417175] PANIC: watchdog timer expired - exiting!
    Dec  4 02:17:12 VDR-2204 vdr: [418941] PANIC: watchdog timer expired - exiting!
    Dec  4 03:59:27 VDR-2204 vdr: [419043] PANIC: watchdog timer expired - exiting!
    Dec  4 04:30:10 VDR-2204 vdr: [419141] PANIC: watchdog timer expired - exiting!
    Dec  4 11:09:07 VDR-2204 vdr: [419215] PANIC: watchdog timer expired - exiting!
    Dec  4 12:08:22 VDR-2204 vdr: [442535] PANIC: watchdog timer expired - exiting!
    Dec  4 12:15:03 VDR-2204 vdr: [442643] PANIC: watchdog timer expired - exiting!
    Dec  4 12:20:05 VDR-2204 vdr: [442710] PANIC: watchdog timer expired - exiting!
    Dec  4 12:22:40 VDR-2204 vdr: [442801] PANIC: watchdog timer expired - exiting!


    VDR2:

    Code
    Dec  4 01:15:31 VDR-2204-Dev vdr: [226339] PANIC: watchdog timer expired - exiting!
    Dec  4 02:21:52 VDR-2204-Dev vdr: [229312] PANIC: watchdog timer expired - exiting!
    Dec  4 04:22:18 VDR-2204-Dev vdr: [229379] PANIC: watchdog timer expired - exiting!
    Dec  4 04:36:17 VDR-2204-Dev vdr: [229471] PANIC: watchdog timer expired - exiting!
    Dec  4 11:19:03 VDR-2204-Dev vdr: [245817] PANIC: watchdog timer expired - exiting!
    Dec  4 11:20:49 VDR-2204-Dev vdr: [245889] PANIC: watchdog timer expired - exiting!
    Dec  4 11:48:39 VDR-2204-Dev vdr: [246032] PANIC: watchdog timer expired - exiting!
    Dec  4 12:15:20 VDR-2204-Dev vdr: [246646] PANIC: watchdog timer expired - exiting!
    Dec  4 12:19:27 VDR-2204-Dev vdr: [247188] PANIC: watchdog timer expired - exiting!

    Möglicherweise habe ich das bei den Tests vom SVDR locking Fix übersehen.

    Kannst du mit dem backtrace was anfangen ? Ich werde daraus nicht schlau.

  • Möglicherweise habe ich das bei den Tests vom SVDR locking Fix übersehen.

    Nein, das ist nicht die Ursache, habe die beiden Commits entfernt, Problem tritt trotzdem auf.

  • Ich glaube, ich habe kein VDR Problem, sondern ein Server Problem. Auch andere Anwendungen haben Hänger.

    Sorry for the noise.

  • Fehler beseitigt, es war ein Festplatten Problem.

    Danke, dass du dir trotzdem den backtrace angeschaut hast.

  • Ich habe in https://launchpad.net/~seahawk…+archive/ubuntu/vdr-2.6.2 schon Pakete für Ubuntu 20.04 bauen lassen, die für 22.04 kommen noch (erst mal nur für x64) - neu sind auch der aktualisierte permashift-Patch und eine neue Version des permashift-Plugins.


    Ergänzung: Die Pakete für Ubuntu 22.04 im selben PPA sind mittlerweile auch fertig.

    Hallo seahawk,


    bei mir fehlen noch diese:


    vdr-plugin-epgsearch vdr-plugin-live-ng vdr-plugin-markad-ng vdr-plugin-skinnopacity


    Gruß

    Murry

  • epgsearch und skinnopacity hatte ich gestern schon gebaut - die werden auch im PPA angezeigt, live-ng und markad-ng schaue ich mir gleich noch mal an.

    yaVDR-Dokumentation (Ceterum censeo enchiridia esse lectitanda.)

    Edited once, last by seahawk1986 ().

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!